Microsimulation API: boost::random::rngstream Class Reference

Microsimulation API

Public Types | Public Member Functions | Static Public Member Functions | Friends | List of all members
boost::random::rngstream Class Reference

`#include <rngstream-boost.hpp>`

Inheritance diagram for boost::random::rngstream:
[legend]
Collaboration diagram for boost::random::rngstream:
[legend]

## Public Types
typedef double | result_type

## Public Member Functions
| rngstream ()
void | seed ()
double | operator() ()
template<class Iter >
void | generate (Iter first, Iter last)
Public Member Functions inherited from ssim::RngStream
| RngStream (const char *name="")
void | ResetStartStream ()
void | ResetStartSubstream ()
void | ResetNextSubstream ()
void | SetAntithetic (bool a)
void | IncreasedPrecis (bool incp)
bool | SetSeed (const double seed[6])
void | GenAdvanceState (int32_t e, int32_t c, const double A1[3][3], const double A2[3][3], const double InvA1[3][3], const double InvA2[3][3])
void | AdvanceState (int32_t e, int32_t c)
void | AdvanceSubstream (int32_t e, int32_t c)
void | AdvanceStream (int32_t e, int32_t c)
void | CalcMatrix (int32_t e, int32_t c, double C1[3][3], double C2[3][3])
void | GetState (double seed[6]) const
double | RandU01 ()
int | RandInt (int i, int j)

## Static Public Member Functions
static double min | BOOST_PREVENT_MACRO_SUBSTITUTION ()
static double max | BOOST_PREVENT_MACRO_SUBSTITUTION ()
Static Public Member Functions inherited from ssim::RngStream
static bool | SetPackageSeed (const double seed[6])

## Friends
template<class CharT , class Traits >
std::basic_ostream< CharT, Traits > & | operator<< (std::basic_ostream< CharT, Traits > &os, const rngstream &r)
template<class CharT , class Traits >
std::basic_istream< CharT, Traits > & | operator>> (std::basic_istream< CharT, Traits > &is, rngstream &r)
bool | operator== (const rngstream &x, const rngstream &y)
bool | operator!= (const rngstream &x, const rngstream &y)

## Detailed Description

Definition at line 57 of file rngstream-boost.hpp.

## Member Typedef Documentation

## ◆ result_type

typedef double boost::random::rngstream::result_type

Definition at line 60 of file rngstream-boost.hpp.

## Constructor & Destructor Documentation

## ◆ rngstream()

boost::random::rngstream::rngstream | ( |  | ) |
| inline

Seeds the generator with the default seed.

Definition at line 74 of file rngstream-boost.hpp.

## Member Function Documentation

## ◆ BOOST_PREVENT_MACRO_SUBSTITUTION() [1/2]

static double min boost::random::rngstream::BOOST_PREVENT_MACRO_SUBSTITUTION | ( |  | ) |
| inlinestatic

Returns the smallest value that the generator can produce

Definition at line 66 of file rngstream-boost.hpp.

## ◆ BOOST_PREVENT_MACRO_SUBSTITUTION() [2/2]

static double max boost::random::rngstream::BOOST_PREVENT_MACRO_SUBSTITUTION | ( |  | ) |
| inlinestatic

Returns the largest value that the generator can produce

Definition at line 70 of file rngstream-boost.hpp.

## ◆ generate()

template<class Iter >

void boost::random::rngstream::generate | ( | Iter | first,
|  | Iter | last
| ) |  |
| inline

Fills a range with random values

Definition at line 91 of file rngstream-boost.hpp.

## ◆ operator()()

double boost::random::rngstream::operator() | ( |  | ) |
| inline

Returns the next value of the generator.

Definition at line 87 of file rngstream-boost.hpp.

## ◆ seed()

void boost::random::rngstream::seed | ( |  | ) |
| inline

Seeds the generator with the default seed.

Definition at line 79 of file rngstream-boost.hpp.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | const rngstream & | x,
|  | const rngstream & | y
| ) |  |
| friend

Returns true if the two generators will produce different sequences of values.

Definition at line 143 of file rngstream-boost.hpp.

## ◆ operator<<

template<class CharT , class Traits >

std::basic_ostream<CharT,Traits>& operator<< | ( | std::basic_ostream< CharT, Traits > & | os,
|  | const rngstream & | r
| ) |  |
| friend

Writes a `rngstream` to a `std::ostream`.

Definition at line 102 of file rngstream-boost.hpp.

## ◆ operator==

bool operator== | ( | const rngstream & | x,
|  | const rngstream & | y
| ) |  |
| friend

Returns true if the two generators will produce identical sequences of values.

Definition at line 129 of file rngstream-boost.hpp.

## ◆ operator>>

template<class CharT , class Traits >

std::basic_istream<CharT,Traits>& operator>> | ( | std::basic_istream< CharT, Traits > & | is,
|  | rngstream & | r
| ) |  |
| friend

Reads a `rngstream` from a `std::istream`.

Definition at line 115 of file rngstream-boost.hpp.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/src/rngstream-boost.hpp